{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/document_template/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/document_template/delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('configuration_document_template_edit', {'documentTemplateId': documentTemplate.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">{{ documentTemplate.getName() }}</span>
        {{ form_widget(documentTemplateDeleteForm.delete, {'label': 'LÖSCHEN', 'id': documentTemplateDeleteForm.delete.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button delete-button mdc-button--raised mdc-button--leading delete-button ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card p-3 mb-4">
            <h1 class="fs-4 d-flex align-items-center">
                <span class="material-icons me-2 text-danger">warning_amber</span>
                Die Vorlage wird unwiderruflich gelöscht.
            </h1>
            <p>
                Um die Vorlage endgültig zu löschen, müssen Sie zuerst den folgenden Code eingeben:
                <span class="delete-code">vorlage_{{ documentTemplate.getId() }}</span>
            </p>
            {{ form_start(documentTemplateDeleteForm, {'attr': {'id': documentTemplateDeleteForm.vars.id ~ '_form'}}) }}
            {% include 'configuration/form/document_template/delete_form.html.twig' with {'form': documentTemplateDeleteForm} only %}
            {{ form_row(documentTemplateDeleteForm._token) }}
            {{ form_end(documentTemplateDeleteForm, {'render_rest': false}) }}
        </div>
        <div class="mdc-card p-3">
            {% include 'configuration/form/document_template/document_template_form.html.twig' with {'form': documentTemplateForm} only %}
        </div>
    </div>
{% endblock %}
